Understanding Society User Support - Support #2227

Help needed with individual variable weighting
03/20/2025 12:09 PM - William Pilcher

Status: Feedback Start date: 03/20/2025
Priority: Normal % Done: 60%
Assignee: Olena Kaminska

Category: Weights

Description

Good afternoon everyone,

I hope I'm not repeating a previously discussed question - | have had a look and didn't find anything, so sorry if I've missed my
solution!

| am currently completing an econometric analysis whereby I'm creating a composite metric for prosperity through a regression model
that uses many variables from the UKHLS (income, employment, health, etc).

My approach is to compose a unique value for this metric year by year, with a view to then compare how this prosperity metric has
changed over time, before comparing it to GDP changes over the same time period.

My issue is with deriving the individual weightings for the selected variables in my regression model. I've gone through the
documention provided as well as watching the video explaining weightings, but | don't think they apply to my use case. If they do, |
could really use some help in how to assign them to each variable within my regression, as I'm quite a novice with this approach
currently!

Many thanks in advance for the help.
Will

History

#1 - 03/20/2025 02:49 PM - Understanding Society User Support Team
#2 - 03/21/2025 12:28 PM - Olena Kaminska
Will,

| am not sure whether this will help, but our weights should be used separately to analytic weights, or weighting scores in any composite metric you
create.

You should create your measure first (our weights would normally not be used for this - this is theory based, with the exception if you want to use
population percentiles for example, these would be weighted using our weights first). Then use our weights when you estimate the measure
distribution in a population. At that stage please consider which variables (from which waves and instruments) you used in order to create you
measure. They will help you to choose the weight. All other materials you mentioned will lead you to selecting a correct weight.

More information is here:
https://www.understandingsociety.ac.uk/wp-content/uploads/working-papers/2024-01.pdf
https://www.youtube.com/watch?v=6xwrldUmxts

Hope this helps,
Olena
